#!/usr/bin/env python3

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation, either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
# for more details.
#
# If you have not received a copy of the GNU General Public License along
# with this program, see <https://www.gnu.org/licenses/>.


# part of mkp package "hbrsrv"
# see ~/local/share/doc/check_mk/hbrsrv for maintainer and information

#
from cmk.gui.plugins.wato import (
    HostRulespec,
    IndividualOrStoredPassword,
    monitoring_macro_help,
    RulespecGroup,
    rulespec_group_registry,
    rulespec_registry,
)

#
from cmk.gui.plugins.wato.datasource_programs import RulespecGroupDatasourceProgramsApps

#
def _valuespec_special_agent_hbrsrv():
    return Dictionary(
        title = _("vSphere Replication"),
        help  = _("This rule activates an agent that collects information from "
                 "vSphere Replication Appliances and Servers."),

        optional_keys = [],

        elements = [
            ( "user",
                TextAscii(
                    title         = _("Username"),
                    allow_empty   = False,
                    default_value = 'admin',
                )
            ),
            ( "password",
                Password(
                    title         = _("Password"),
                    allow_empty   = False,
                )
            ),
        ],
    )


#
rulespec_registry.register(
    HostRulespec(
        group=RulespecGroupDatasourceProgramsApps,
        name="special_agents:hbrsrv",
        valuespec=_valuespec_special_agent_hbrsrv,
    ))

